org.apache.flume.lifecycle

## Enum LifecycleState

- java.lang.Object
- - java.lang.Enum<LifecycleState>
  - - org.apache.flume.lifecycle.LifecycleState

- All Implemented Interfaces:
    Serializable, Comparable<LifecycleState>

      public enum LifecycleState
      extends Enum<LifecycleState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `IDLE`
    `START`
    `STOP`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LifecycleState[]` | `START_OR_ERROR`
    `static LifecycleState[]` | `STOP_OR_ERROR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LifecycleState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LifecycleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final LifecycleState IDLE

    - #### START

          public static final LifecycleState START

    - #### STOP

          public static final LifecycleState STOP

    - #### ERROR

          public static final LifecycleState ERROR

  - ### Field Detail

    - #### START_OR_ERROR

          public static final LifecycleState[] START_OR_ERROR

    - #### STOP_OR_ERROR

          public static final LifecycleState[] STOP_OR_ERROR

  - ### Method Detail

    - #### values

          public static LifecycleState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LifecycleState c : LifecycleState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LifecycleState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.